Commet
  • Pricing
Log InTry out
Batch create customers POSTCreate customer POSTGet customer GETList customers GETUpdate customer PUT
DocumentationKnowledge BaseBuild with AIAPI ReferenceWebhooks

Get customer

Retrieve a customer by their public ID, including subscription status and metadata.

Create customer POST

Create a new customer. Idempotent when externalId is provided.

List customers GET

List customers with cursor-based pagination.

GET
/customers/{id}

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Path Parameters

id*string

Response Body

application/json

application/json

curl -X GET "https://commet.co/api/customers/string"

Retrieve a customer by their public ID, including subscription status and metadata.

Customer public ID

{
  "success": true,
  "data": {
    "id": "string",
    "externalId": "string",
    "fullName": "string",
    "billingEmail": "string",
    "timezone": "string",
    "metadata": {
      "property1": null,
      "property2": null





{
  "success": false,
  "code": "string",
  "message": "string",
  "details": null
}
},
"isActive": true,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}
}